package com.community.huiju.model;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.time.LocalDateTime;
import java.io.Serializable;
import java.util.Date;

import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 小区楼栋资料表
 * </p>
 *
 * @author jobob
 * @since 2019-05-15
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("tp_building")
public class TpBuilding implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Integer buildingId;

    /**
     * 小区ID
     */
    private Integer communityId;

    /**
     * 期区id
     */
    private Integer phaseId;

    /**
     * 期区名称
     */
    private String phaseName;

    /**
     * 楼栋名称
     */
    private String name;

    /**
     * 排序
     */
    private String sort;

    /**
     * 创建时间
     */
    private Date createDate;


}
